 
<ion-header>

    <ion-navbar hideBackButton>
      <div class="logo"  style=" text-align: center;">
       </div>  
    </ion-navbar> 

  </ion-header>
  <ion-content>  
  <div text-center >
  
      <div  padding>
           <!-- <ion-img width="45%" src="assets/imgs/logo.png"></ion-img> -->
<img src="assets/imgs/logo.png"> 
            <h1  text-center>HR Portal</h1> 
      </div>
   </div>


  <div class="padding-top"  padding>

       <form [formGroup]="form" (ngSubmit)="onlogin()" >

   <ion-label stacked class="margin-top"><span id="username" [style.display]="hideElementUsername?'none':'inline-block'">Enter </span>  <span id="username"> registered </span>  username</ion-label>
  <ion-item class="margin-top">
       <ion-input class="password"  name="username" type="text" formControlName="username" mouseAction  (MouseEventData)="getEvent($event,form.controls.username.value)" defaultClass="mobile"
         [class.invalid]="!form.controls.username.valid && (form.controls.username.dirty && form.submitted)">
      </ion-input>
  </ion-item>
  <div class="noborder" no-lines *ngIf="( submitAttempt || form.controls.username.touched ) && form.controls.username.errors ">
      <p text-left  text-wrap class="error">Invalid username.</p>
  </div>

  <ion-row >
    <ion-col>
    <p  class="margin-top" text-right ><a (click)="forgotusername()" class="link" >Forgot username?</a></p>
  </ion-col>
  </ion-row>
  

<ion-label stacked ><span id="password" [style.display]="hideElementPass?'none':'inline-block'">Enter </span> <span id="password"> password </span></ion-label>
  <ion-item class="margin-bottom padding-bottom margin-top" >
    <ion-input name="password" clearOnEdit=false type="{{type}}" formControlName="password" class="password" mouseAction  (MouseEventData)="getEvent($event,form.controls.password.value)" defaultClass="password" ></ion-input >

       <button *ngIf="!showPass" ion-button clear  type="button" item-end (click)="showPassword()"  color="dark" class="margin-bottom margin-right-0 align-items"> <i class="n-icon-inputfield-hide" color="dark" ></i></button>

     <button *ngIf="showPass" ion-button clear type="button" item-end (click)="showPassword()" class="margin-bottom margin-right-0 align-items" color="dark"><i class="n-icon-inputfield-show" color="dark"  ></i></button>
   </ion-item>
   <div class="noborder"no-lines  *ngIf="( submitAttempt || form.controls.password.touched ) && form.controls.password.errors ">
         <p  text-left  text-wrap class="error">Please enter password.</p>
   </div>
   <ion-row >
      <ion-col>
      <p  class="margin-top" text-right ><a (click)="forgotpwd()" class="link" >Forgot password?</a></p>
  </ion-col>
  </ion-row>
  <div text-center >
  <button ion-button type="submit" class="margin-top-100" [class.button-disabled]="!form.valid" [class.niyo-btn]="form.valid" padding >SIGN IN</button>

</div>
    
  </form>
  </div>

 
  </ion-content>
